// Template to use as starting point for all POV files

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stones.inc"
#include "chars.inc"

camera {
   location <9.75, 5.5, 0>
   direction <0,0,1>
   look_at <10, 5, 20>
}

// Lights in corners of room
light_source {<.25,7.75,.25> color Gray60 }
sphere { <0,8,0>, .75 pigment { White } no_shadow }

light_source {<.25,7.75,19.75> color Gray60 }
sphere { <0,8,20>, .75 pigment { White } no_shadow }

light_source {<15.75,7.75,.25> color Gray60 }
sphere { <16,8,0>, .75 pigment { White } no_shadow }

light_source {<16,7.75,19.75> color Gray60 }
sphere { <16,8,20>, .75 pigment { White } no_shadow }


// Walls
union {
 box { <-.1,0,0> <.1,8,8.5> }
 box { <-.1,0,11.5> <.1,8,20> }
 box { <15.9,0,0> <16.1,8,16.1> }
 pigment { Green }
}
union {
 box { <-.1,0,19.9> <8.5,8,20.1> }
 box { <11.5,0,19.9> <20.1,8,20.1> }
 box { <15.9,0,15.9> <20.1,8,16.1> }
 pigment { Green }
}

// Ceiling
box { <-.1,7.9,0> <20.1,8.1,20.1> pigment { White } }

// Floor
box { <-.1,-.1,0> <20.1,0,20.1> 
 pigment { checker color Black color White } 
 scale <2,2,2>
}

// Doors
box { <-.1,.1,8.55> <0,7.9,11.45> 
 pigment { Brown }
}
sphere { <0,0,0>, .15 
 pigment {Gold}
 scale <.5,1,1>
 translate <.3,3,9>
}
box { <8.55,.1,20> <11.45,7.9,20.1>
 pigment { Brown }
}
sphere { <0,0,0>, .15
 pigment {Gold}
 scale <1,1,.5>
 translate <9,3,19.7>
}

// Table
union {
 box { <2,3,12> <5,3.2,17> }
 box { <2.25,0,12.25> <2.5,3,12.5> }
 box { <2.25,0,16.5> <2.5,3,16.75> }
 box { <4.5,0,12.25> <4.75,3,12.5> }
 box { <4.5,0,16.5> <4.75,3,16.75> }
 pigment { Brown }
}

